/*---------------------------------------------------------------------------*\
|   GET the hardware characteristics from a server                            |
|                                                                             |
|                                   (C) Alain Rykaert IBM-Belgium MAY95-JUN96 |
\*---------------------------------------------------------------------------*/

    Parse Arg Server_Name

   '@echo off'

    If Server_Name = ''
      Then Do
             Say '! Invalid ServerName' '07'x
             Exit
           End
      Else Nop
    Say '* Check for QSYSTEM.EXE on' Server_Name
    If Stream('\\'Server_Name'\ibmlan$\netprog\qsystem.exe', 'C', 'Query Exists') = ''
      Then 'copy' Directory()'\qsystem.exe \\'Server_Name'\ibmlan$\netprog'
      Else nop
    Say '* Executing QSYSTEM on' Server_Name
   'net admin \\'Server_Name '/c qsystem /c /d /q > \\'Server_Name'\ibmlan$\netprog\qsystem.out'
    Say '* Editing "QSYSTEM.OUT" from' Server_Name
   'start /f "SystemInfo" e \\'Server_Name'\ibmlan$\netprog\qsystem.out'

    Exit

